<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset = "UTF-8">
        <title>BNM</title>
        <link href="https://fonts.googleapis.com/css2?family=Barlow&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="../src/css/App.css">
        <link rel="stylesheet" href="../src/css/Header.css">
        <link rel="stylesheet" href="../src/css/Okay.css">
        <link rel="stylesheet" href="../src/css/OrderConfirmation.css">
        <link rel="stylesheet" href="../src/css/StyledDiv.css">
        <link rel="stylesheet" href="../src/css/SubmitButton.css">
        <link rel="stylesheet" href="../public/index.css"> 
        <link rel="stylesheet" href="../src/css/modal.css"> 
        

        <link rel="manifest" href="../public/manifest.json">

        <!-- for development, use the following line: -->
        <script src="http://ajax.googleapis.com/ajax/libs/jquery/2.0.0/jquery.min.js"></script>

        <!-- For producting, use this line INSTEAD *NOTE: NOT TESTED* -->
        <!-- <script src="jquery-3.5.1.min.js"></script> -->

        <script src="../src/components/checkboxes.js"></script>
        <script src="../src/components/submitOrder.js"></script>
        <script src="../src/components/emailApp.js"></script>
        <script src="../src/components/Verify.js"></script>
    </head>

    <body id="document">
        <div id="app">
            <div class ="paddedDiv">
                <div class="headerContainer">
                    <div class="columnLeft">

                    </div>
                    <div class="columnMiddle">
                        <h1 id="siteTitle">Bear Necessities Market</h1>
                    </div>
                    <div class="columnBlankSpace1">

                    </div>
                    <div class="columnRight">

                    </div>
                </div>
            </div>
            <div class="paddedDiv">
                <div class="appContainer">
                    <div class="textLabel">
                        <span>Choose your order type</span>
                    </div>

                    <div class="orderTypeContainer">
                        <div class="orderType">
                            <input name="orderTypeRadio" type="radio" id="goldenbearRadio">
                            <label class="checkboxLabel" for="goldenbearRadio">Golden Bear Order </label>
                        </div>
                        <div class="orderTypeContainerColumn2">
                            <span>
                                We will fill your order with the essentials
                            </span>
                        </div>
                    </div>
                    <div class="orderTypeContainer">
                        <div class="orderType">
                            <input name="orderTypeRadio" type="radio" id="customRadio">
                            <label class="checkboxLabel" for="customRadio"> Custom Order</label>
                        </div> 
                        <div class="orderTypeContainerColumn2">
                            <span>
                                Customize your order with some of our most popular items
                            </span>
                        </div>
                    </div>
                </div>
            </div>
            
            <div class="paddedDiv">
                <div class="appContainer">
                    <div class="textLabel">
                        <span >Most popular items</span>
                    </div>
                    <div class="checkboxLabel">
                        <span>Please select any of the following food items to be added to your order:</span>
                    </div>
                    <div class="orderType">
                        <input type="checkbox" name="cereal" class="foodcheckbox" id="cerealCheckbox">
                        <label class="checkboxLabel">Cereal
                            <span class="checkmark"></span>
                        </label>
                    </div>
                    <div class="orderType">
                        <input type="checkbox" name="pasta" class="foodcheckbox" id="pastaCheckbox">
                        <label class="checkboxLabel">Pasta
                            <span class="checkmark"></span>
                        </label>
                    </div>
                    <div class="orderType">
                        <input type="checkbox" name="preanutbutter" class="foodcheckbox" id="pbCheckbox">
                        <label class="checkboxLabel">Peanut Butter
                            <span class="checkmark"></span>
                        </label>
                    </div>
                    <div class="orderType">
                        <input type="checkbox" name="tuna" class="foodcheckbox" id="tunaCheckbox">
                        <label class="checkboxLabel">Tuna
                            <span class="checkmark"></span>
                        </label>
                    </div>
                    <div class="orderType">
                        <input type="checkbox" name="soup" class="foodcheckbox" id="soupCheckbox">
                        <label class="checkboxLabel">Soup
                            <span class="checkmark"></span>
                        </label>
                    </div>
                    <div class="orderType">
                        <input type="checkbox" name="cannedvegetables" class="foodcheckbox" id="vegCheckbox">
                        <label class="checkboxLabel">Canned Vegetables
                            <span class="checkmark"></span>
                        </label>
                    </div>
                    <div class="orderType">
                        <input type="checkbox" name="cannedfruit" class="foodcheckbox" id="fruitCheckbox">
                        <label class="checkboxLabel">Canned Fruit
                            <span class="checkmark"></span>
                        </label>
                    </div>
                    <div class="disclaimerLabel">
                        <span>Note: The availability of Bear Necessities Market is subject to change,
                            and therefore your order may contain substitutions.
                        </span>
                    </div>
                </div>
            </div>

            <div class="paddedDiv">
                <div class="appContainer">
                    <div class="textLabel">
                        <span>Do you have any allergies/dietary restrictions we should be aware of?</span>
                    </div>
                    <div>
                        <textarea class="customTextbox"
                            id=restrictions
                            rows="6"
                            placeholder="Enter your allergies/dietary restrictions here:"
                            name="dietaryrestrictions"
                            maxLength="250"
                        ></textarea>
                    </div>
                </div>
            </div>

            <div class="paddedDiv">
                <div class="appContainer">
                    <div class="textLabel">
                        <span>Do you have any preferences regarding the content of your order?</span>
                    </div>
                    <div>
                        <textarea class="customTextbox"
                            id=preferences
                            rows="6"
                            placeholder="Enter any preferences here:"
                            name="commentspreferences"
                            maxLength="250"
                        ></textarea>
                    </div>
                    <div class="disclaimerLabel">
                        <span>Note: Bear Necessities Market may be unable to fulfill your preferences. We 
                            will do our best to provide alternatives in the case we cannot.
                        </span>
                    </div>
                </div>
            </div>
            
            <div class="paddedDiv">
                <div class="appContainer">
                    <div class="emailLabel">
                        <span>Input your WNE Email:</span> 
                    </div>
                    <div>
                        <textarea class="emailTextbox"
                            id= "emailVerify1"
                            name="email"
                            rows="1"
                            maxLength="50"
                            placeholder="Enter WNE email here:"
                        ></textarea>
                    </div>

                    <div class="emailLabel">
                        <span>Verify your Email:</span>
                    </div>
                    <div>
                        <textarea class="emailTextbox"
                            id= "emailVerify2"
                            name="verified"
                            rows="1"
                            maxLength="50"
                            placeholder="Re-enter WNE email here:"
                        ></textarea>
                    </div>
                </div>
            </div>

            <div class="paddedDiv">
                <div>
                    <button type="submit" id="submitButton" disabled="true">Submit</button>
                    <!-- The Modal -->
                    <div id="submitModal" class="modal">
                        <!-- Modal content -->
                        <div class="modal-content">
                            <span class="close">&times;</span>
                            <p>Thank You! Your order has been submitted.</p>
                        </div>
                    </div>
                    <script src="../src/components/modal.js"></script>
                </div>
                <div class="disclaimerLabel">
                    <span style="color: white;">
                        For help, contact Ryan Mahan at <button class="SendEmail">ryan.mahan@wne.edu</button>
                    </span>
                </div>
            </div>
        </div>
    </body>
</html>
